Skylib module containing providers for directories.

## DirectoryInfo

load("@bazel_skylib//rules/directory:providers.bzl", "DirectoryInfo")

DirectoryInfo(entries, transitive_files, path, human_readable, get_path, get_file, get_subdirectory,
              glob)

Information about a directory

**FIELDS**

| Name  | Description |
| :------------- | :------------- |
| entries |  (Dict[str, Either[File, DirectoryInfo]]) The entries contained directly within. Ordered by filename    |
| transitive_files |  (depset[File]) All files transitively contained within this directory.    |
| path |  (string) Path to all files contained within this directory.    |
| human_readable |  (string) A human readable identifier for a directory. Useful for providing error messages to a user.    |
| get_path |  (Function(str) -> DirectoryInfo\|File) A function to return the entry corresponding to the joined path.    |
| get_file |  (Function(str) -> File) A function to return the entry corresponding to the joined path.    |
| get_subdirectory |  (Function(str) -> DirectoryInfo) A function to return the entry corresponding to the joined path.    |
| glob |  (Function(include, exclude, allow_empty=False)) A function that works the same as native.glob.    |

## create_directory_info

load("@bazel_skylib//rules/directory:providers.bzl", "create_directory_info")

create_directory_info(**kwargs)

**PARAMETERS**

| Name  | Description | Default Value |
| :------------- | :------------- | :------------- |
| kwargs |  
 - 
   |  none |

